Subject: bug#48073: 27.2; [Eglot] Don't bind `completion-styles' buffer locally?

From: João Távora <[email-masked]>
Date: Tue, 27 Apr 2021 22:10:44 +0100

On Tue, Apr 27, 2021 at 9:38 PM Stefan Monnier <[email-masked]>
wrote:
>
>
> >> It seems that a more appropriate way to override the completion style
> >> would be to include a category in the completion table metadata, and
add
> >> a corresponding entry to `completion-category-defaults', which can be
> >> done globally.
>
> That's right.  The advantage being also that the user can additionally
> override that default style with `completion-category-overrides'.
>
>
>         Stefan

Thanks. But can you confirm my hypothesis that it is possible to make
its completion table function in the `flex` style automatically, by

- having Eglot add an entry to completion-category-defaults or
  completion-category-overrides (which one?)

- having Eglot point to that entry in its completion table?

I.e. I'm only getting rid of the buffer-local hack if there's a viable
alternative (I think there is, but some confirmation would be ideal).

João